# -*- coding: utf-8 -*-

import json

import click

from em_tasks.store.store_util import StoreUtil
from em_tasks.tasks.google_ads_performance_task import GoogleAdsPerformanceTask
from em_tasks.store.models import *

from em_celery import logger, init_db


@click.command('Load Google Ads performance')
@click.option('-d', '--developer_token', required=True, type=str)
@click.option('-v', '--version', type=str, default='v15')
@click.option('-r', '--date_range', type=str, default='last30', help='Date range to process, values can be "last7", "last14", "last30".')
def load_performance(developer_token, version='v15', date_range='last30'):
  init_db()

  for ga in GoogleAdsAccount.select().where(GoogleAdsAccount.active == 1).execute():
    task = GoogleAdsPerformanceTask(ga.customer_id, developer_token, version=version, date_range=date_range)
    task.run()


if __name__ == "__main__":
  load_performance()
